### Function: ToggleCharacterFlag(player, flag_id)

**Description:**
Toggles a character flag, auto consume, hide hood, helm, etc.  Refer to player.h #define CF_... flags.

**Parameters:**
- `player` (Spawn) - Spawn object representing `player`.
- `flag_id` (uint32) - Integer value `flag_id`.

**Returns:** None.

**Example:**

Example Required
